import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiLabelElement } from "../../elements/StiLabelElement";
import * as i0 from "@angular/core";
export declare class StiLabelComponent implements OnInit {
    model: StiModelService;
    element: StiLabelElement;
    isClone: boolean;
    get borderInnerWidth(): Number;
    get borderInnerHeight(): Number;
    get selected(): boolean;
    get exceedMarginsLeft(): number;
    get exceedMarginsTop(): number;
    get exceedMarginsWidth(): number;
    get exceedMarginsHeight(): number;
    get horizontalAlignment(): "center" | "start" | "flex-end";
    get verticalAlignment(): "center" | "start" | "flex-end";
    openLink(): void;
    constructor(model: StiModelService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiLabelComponent, "sti-label-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
